# Cinder

# cinder::ColorT< T > Class Template Reference

`#include <Color.h>`

List of all members.

## Public Member Functions
| ColorT ()
| ColorT (T aR, T aG, T aB)
| ColorT (const ColorT< T > &src)
| ColorT (ColorModel cm, const Vec3f &v)
| ColorT (ColorModel cm, float x, float y, float z)
template<typename FromT >
| ColorT (const ColorT< FromT > &src)
void | set (ColorModel cm, const Vec3f &v)
ColorT< T > | operator= (const ColorT< T > &rhs)
template<class FromT >
ColorT< T > | operator= (const ColorT< FromT > &rhs)
Vec3f | get (ColorModel cm)
T & | operator[] (int n)
ColorT< T > | operator+ (const ColorT< T > &rhs) const
ColorT< T > | operator- (const ColorT< T > &rhs) const
ColorT< T > | operator* (const ColorT< T > &rhs) const
ColorT< T > | operator/ (const ColorT< T > &rhs) const
const ColorT< T > & | operator+= (const ColorT< T > &rhs)
const ColorT< T > & | operator-= (const ColorT< T > &rhs)
const ColorT< T > & | operator*= (const ColorT< T > &rhs)
const ColorT< T > & | operator/= (const ColorT< T > &rhs)
ColorT< T > | operator+ (T rhs) const
ColorT< T > | operator- (T rhs) const
ColorT< T > | operator* (T rhs) const
ColorT< T > | operator/ (T rhs) const
const ColorT< T > & | operator+= (T rhs)
const ColorT< T > & | operator-= (T rhs)
const ColorT< T > & | operator*= (T rhs)
const ColorT< T > & | operator/= (T rhs)
CHANTRAIT< T >::Accum | dot (const ColorT< T > &rhs) const
float | distance (const ColorT< T > &rhs) const
CHANTRAIT< T >::Accum | distanceSquared (const ColorT< T > &rhs) const
float | length () const
CHANTRAIT< T >::Accum | lengthSquared () const
void | normalize ()
ColorT< T > | lerp (T fact, const ColorT< T > &d) const
| operator T * ()
| operator const T * () const
template<>
const ColorT< uint8_t > & | operator*= (const ColorT< uint8_t > &rhs)
template<>
const ColorT< uint8_t > & | operator*= (uint8_t rhs)
template<>
ColorT< uint8_t > | operator* (const ColorT< uint8_t > &rhs) const
template<>
ColorT< uint8_t > | operator* (uint8_t rhs) const
template<>
const ColorT< uint8_t > & | operator/= (const ColorT< uint8_t > &rhs)
template<>
const ColorT< uint8_t > & | operator/= (uint8_t rhs)
template<>
ColorT< uint8_t > | operator/ (const ColorT< uint8_t > &rhs) const
template<>
ColorT< uint8_t > | operator/ (uint8_t rhs) const
template<>
ColorT< uint8_t > | lerp (uint8_t fact, const ColorT< uint8_t > &d) const
## Static Public Member Functions
static ColorT< T > | max ()
static ColorT< T > | black ()
static ColorT< T > | white ()
## Public Attributes
T | r
T | g
T | b

### template<typename T>
class cinder::ColorT< T >

## Constructor & Destructor Documentation

template<typename T>

cinder::ColorT< T >::ColorT | ( |  | ) |

template<typename T>

cinder::ColorT< T >::ColorT | ( | T | aR,
|  | T | aG,
|  | T | aB |
| ) |  |  |

template<typename T>

cinder::ColorT< T >::ColorT | ( | const ColorT< T > & | src | ) |

template<typename T>

cinder::ColorT< T >::ColorT | ( | ColorModel | cm,
|  | const Vec3f & | v |
| ) |  |  |

template<typename T>

cinder::ColorT< T >::ColorT | ( | ColorModel | cm,
|  | float | x,
|  | float | y,
|  | float | z |
| ) |  |  |

template<typename T>
template<typename FromT >

cinder::ColorT< T >::ColorT | ( | const ColorT< FromT > & | src | ) |

## Member Function Documentation

template<typename T >

void cinder::ColorT< T >::set | ( | ColorModel | cm,
|  | const Vec3f & | v |
| ) |  |  |

template<typename T>

ColorT<T> cinder::ColorT< T >::operator= | ( | const ColorT< T > & | rhs | ) |

template<typename T>
template<class FromT >

ColorT<T> cinder::ColorT< T >::operator= | ( | const ColorT< FromT > & | rhs | ) |

template<typename T >

Vec3f cinder::ColorT< T >::get | ( | ColorModel | cm | ) |

template<typename T>

T& cinder::ColorT< T >::operator[] | ( | int | n | ) |

template<typename T>

ColorT<T> cinder::ColorT< T >::operator+ | ( | const ColorT< T > & | rhs | ) | const

template<typename T>

ColorT<T> cinder::ColorT< T >::operator- | ( | const ColorT< T > & | rhs | ) | const

template<typename T>

ColorT<T> cinder::ColorT< T >::operator* | ( | const ColorT< T > & | rhs | ) | const

template<typename T>

ColorT<T> cinder::ColorT< T >::operator/ | ( | const ColorT< T > & | rhs | ) | const

template<typename T>

const ColorT<T>& cinder::ColorT< T >::operator+= | ( | const ColorT< T > & | rhs | ) |

template<typename T>

const ColorT<T>& cinder::ColorT< T >::operator-= | ( | const ColorT< T > & | rhs | ) |

template<typename T>

const ColorT<T>& cinder::ColorT< T >::operator*= | ( | const ColorT< T > & | rhs | ) |

template<typename T>

const ColorT<T>& cinder::ColorT< T >::operator/= | ( | const ColorT< T > & | rhs | ) |

template<typename T>

ColorT<T> cinder::ColorT< T >::operator+ | ( | T | rhs | ) | const

template<typename T>

ColorT<T> cinder::ColorT< T >::operator- | ( | T | rhs | ) | const

template<typename T>

ColorT<T> cinder::ColorT< T >::operator* | ( | T | rhs | ) | const

template<typename T>

ColorT<T> cinder::ColorT< T >::operator/ | ( | T | rhs | ) | const

template<typename T>

const ColorT<T>& cinder::ColorT< T >::operator+= | ( | T | rhs | ) |

template<typename T>

const ColorT<T>& cinder::ColorT< T >::operator-= | ( | T | rhs | ) |

template<typename T>

const ColorT<T>& cinder::ColorT< T >::operator*= | ( | T | rhs | ) |

template<typename T>

const ColorT<T>& cinder::ColorT< T >::operator/= | ( | T | rhs | ) |

template<typename T>

CHANTRAIT<T>::Accum cinder::ColorT< T >::dot | ( | const ColorT< T > & | rhs | ) | const

template<typename T>

float cinder::ColorT< T >::distance | ( | const ColorT< T > & | rhs | ) | const

template<typename T>

CHANTRAIT<T>::Accum cinder::ColorT< T >::distanceSquared | ( | const ColorT< T > & | rhs | ) | const

template<typename T>

float cinder::ColorT< T >::length | ( |  | ) | const

template<typename T>

CHANTRAIT<T>::Accum cinder::ColorT< T >::lengthSquared | ( |  | ) | const

template<typename T>

void cinder::ColorT< T >::normalize | ( |  | ) |

template<typename T>

ColorT<T> cinder::ColorT< T >::lerp | ( | T | fact,
|  | const ColorT< T > & | d |
| ) |  |  | const

template<typename T>

static ColorT<T> cinder::ColorT< T >::max | ( |  | ) | `[static]`

template<typename T>

static ColorT<T> cinder::ColorT< T >::black | ( |  | ) | `[static]`

template<typename T>

static ColorT<T> cinder::ColorT< T >::white | ( |  | ) | `[static]`

template<typename T>

cinder::ColorT< T >::operator T * | ( |  | ) |

template<typename T>

cinder::ColorT< T >::operator const T * | ( |  | ) | const

template<>

const ColorT< uint8_t > & cinder::ColorT< uint8_t >::operator*= | ( | const ColorT< uint8_t > & | rhs | ) |

template<>

const ColorT< uint8_t > & cinder::ColorT< uint8_t >::operator*= | ( | uint8_t | rhs | ) |

template<>

ColorT< uint8_t > cinder::ColorT< uint8_t >::operator* | ( | const ColorT< uint8_t > & | rhs | ) | const

template<>

ColorT< uint8_t > cinder::ColorT< uint8_t >::operator* | ( | uint8_t | rhs | ) | const

template<>

const ColorT< uint8_t > & cinder::ColorT< uint8_t >::operator/= | ( | const ColorT< uint8_t > & | rhs | ) |

template<>

const ColorT< uint8_t > & cinder::ColorT< uint8_t >::operator/= | ( | uint8_t | rhs | ) |

template<>

ColorT< uint8_t > cinder::ColorT< uint8_t >::operator/ | ( | const ColorT< uint8_t > & | rhs | ) | const

template<>

ColorT< uint8_t > cinder::ColorT< uint8_t >::operator/ | ( | uint8_t | rhs | ) | const

template<>

ColorT< uint8_t > cinder::ColorT< uint8_t >::lerp | ( | uint8_t | fact,
|  | const ColorT< uint8_t > & | d |
| ) |  |  | const

## Member Data Documentation

template<typename T>

T cinder::ColorT< T >::r

template<typename T>

T cinder::ColorT< T >::g

template<typename T>

T cinder::ColorT< T >::b

The documentation for this class was generated from the following files:

- include/cinder/Color.h
- src/cinder/Color.cpp